Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
Name:           clojure
Version:     	20080916
Release:        alt1_2jpp5
Summary:        A dynamic programming language that targets the Java Virtual Machine

Group:          System/Internationalization
License:        CPL
URL:            http://clojure.org/
Source0:        http://downloads.sourceforge.net/clojure/clojure_20080916.zip
Source1:        clojure.sh
BuildArch:      noarch

BuildRequires: ant >= 1.6
BuildRequires: jpackage-utils >= 1.5
BuildRequires: objectweb-asm

Requires: objectweb-asm

%description 
Clojure is a dynamic programming language that targets the Java
Virtual Machine. It is designed to be a general-purpose language,
combining the approachability and interactive development of a
scripting language with an efficient and robust infrastructure for
multithreaded programming. Clojure is a compiled language - it
compiles directly to JVM bytecode, yet remains completely
dynamic. Every feature supported by Clojure is supported at
runtime. Clojure provides easy access to the Java frameworks, with
optional type hints and type inference, to ensure that calls to Java
can avoid reflection.

%prep
%setup -q -c -n clojure-%{version}

rm -f *.jar

%build
ant jar

%install

chmod 644 CPL.TXT

# prefix install
install -p -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -ar src/clj/clojure/*  %{buildroot}%{_datadir}/%{name}/
rm -f %{buildroot}%{_datadir}/%{name}/xml/\#*

# jar - link to prefix'd jar so that java stuff knows where to look
install -d -m 755 %{buildroot}%{_javadir}
cp clojure.jar %{buildroot}%{_javadir}/%{name}.jar

# startup script
install -d -m 755 %{buildroot}%{_bindir}
cp %{SOURCE1} %{buildroot}%{_bindir}/clojure

%files
%doc CPL.TXT readme.txt

%attr(0755,root,root) %{_bindir}/clojure
%{_javadir}/%{name}.jar
%{_datadir}/%{name}
%{_bindir}/clojure

%changelog
* Sun Jan 11 2009 Igor Vlasenko <viy@altlinux.ru> 20080916-alt1_2jpp5
- first build

